Bug 970424 - to use gluster one needs to set the selinux virt_use_fusefs boolean to ON
to use gluster one needs to set the selinux virt_use_fusefs boolean to ON
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Release_Notes (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.0
Assigned To: Don Domingo
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 22:33 EDT by Giulio Fidente
Modified: 2014-03-19 19:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When using the Gluster driver for the Block Storage volume storage service all compute nodes that will access volumes stored on Gluster to host virtual machines must be configured to allow this access. To ensure this is the case log in to each node as the root user and set the virt_use_fusefs SELinux boolean to true: # setsebool -P virt_use_fusefs true
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 11:00:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 74553 None None None Never

  None (edit)
Description Giulio Fidente 2013-06-03 22:33:50 EDT
Document URL: 
https://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_OpenStack/3/html/Release_Notes/index.html

Section Number and Name: 
Chapter3, Known Issues

Describe the issue: 
the glusterfs driver, as it happens also for the NFS driver, requires the selinux boolean "virt_use_nfs" to be set to "on" on the compute nodes or volumes attachment will fail when selinux is in enforcing mode
Comment 1 Giulio Fidente 2013-06-05 06:54:13 EDT
note, as per https://bugzilla.redhat.com/show_bug.cgi?id=957902#c6 the boolean to enable is "virt_use_fusefs" *NOT* "virt_use_nfs"
Comment 2 Summer Long 2014-02-26 18:32:39 EST
Assigning to Martin, as the Release Notes guy, to keep track.

Note You need to log in before you can comment on or make changes to this bug.